<?xml version="1.0"?>

<!--
  Para obtener más información sobre cómo configurar la aplicación de ASP.NET, visite
  http://go.microsoft.com/fwlink/?LinkId=169433
  -->

<configuration>

  <system.web>
    <compilation debug="false" targetFramework="4.0" />
    <authentication mode="Forms" />
    <roleManager enabled="true" />
    <profile enabled="true" />
  </system.web>

  <system.web.extensions>
    <scripting>
      <webServices>
        <authenticationService enabled="true" requireSSL="false"  />
        <roleService enabled="true" />
        <profileService enabled="true"/>
      </webServices>
    </scripting>
  </system.web.extensions>

  <system.serviceModel>
    <services>
      <service behaviorConfiguration="ApplicationServiceTypeBehaviors"
        name="System.Web.ApplicationServices.AuthenticationService">
        <endpoint binding="basicHttpBinding" bindingConfiguration="userHttp"
          bindingNamespace="http://asp.net/ApplicationServices/v200" contract="System.Web.ApplicationServices.AuthenticationService" />
      </service>
      <service behaviorConfiguration="ApplicationServiceTypeBehaviors"
        name="System.Web.ApplicationServices.RoleService">
        <endpoint binding="basicHttpBinding" bindingConfiguration="userHttp"
          bindingNamespace="http://asp.net/ApplicationServices/v200" contract="System.Web.ApplicationServices.RoleService" />
      </service>
      <service behaviorConfiguration="ApplicationServiceTypeBehaviors"
        name="System.Web.ApplicationServices.ProfileService">
        <endpoint binding="basicHttpBinding" bindingConfiguration="userHttp"
          bindingNamespace="http://asp.net/ApplicationServices/v200" contract="System.Web.ApplicationServices.ProfileService" />
      </service>
      <service name="UsersRoles">
        <endpoint address="" binding="customBinding" bindingConfiguration="UsersRoles.customBinding0"
          contract="UsersRoles" />
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
    </services>
    <bindings>
      <basicHttpBinding>
        <binding name="userHttp">
          <security mode="None" />
        </binding>
      </basicHttpBinding>
      <customBinding>
        <binding name="UsersRoles.customBinding0">
          <binaryMessageEncoding />
          <httpTransport />
        </binding>
      </customBinding>
    </bindings>
    <behaviors>
      <serviceBehaviors>
        <behavior name="ApplicationServiceTypeBehaviors">
          <serviceMetadata httpGetEnabled="true" />
        </behavior>
        <behavior name="">
          <serviceMetadata httpGetEnabled="true" />
          <serviceDebug includeExceptionDetailInFaults="false" />
        </behavior>
      </serviceBehaviors>
    </behaviors>
    <serviceHostingEnvironment aspNetCompatibilityEnabled="true"
      multipleSiteBindingsEnabled="true" />
  </system.serviceModel>
</configuration>
